Ask Your Question
0

Rospy installation on Python 3

asked 2019-05-08 03:56:45 -0600

nuran gravatar image

Hi! I would like to know how to install rospy ROS package on my Python 3 virtual environment. Right now it only detects the rospy version corresponding to the base installed python 2.7, but does not work for my Python 3 code development.

Thank you!

edit retag flag offensive close merge delete

Comments

I've tried following scripts like below, unsuccessfully. Python 3 support still feels like its in a pretty poor state. And in ROS2 few packages are ported. Is there a reason you need Python 3?

https://gist.github.com/ShreyasSkanda...

Let me know if you figure it out!

rukie gravatar imagerukie ( 2019-05-08 08:44:36 -0600 )edit
rukie gravatar imagerukie ( 2019-05-08 08:47:12 -0600 )edit

Currently I have two separate programs that one works in python 2 and the other one in python 3 so I need to run a virtual environment for each one. But I have issues with the Rospy package on Python 3 that I do not know how to solve it.

nuran gravatar imagenuran ( 2019-05-08 09:17:32 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2019-05-08 05:42:53 -0600

aPonza gravatar image

You tagged kinetic, which doesn't officially support python3. You can read a bit more about the current ways to use it for example in q237613 (look at v4hn's answer).

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2019-05-08 03:56:45 -0600

Seen: 1,736 times

Last updated: May 08